.menu-backdrop {
  position: fixed;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  background-color: var(--backdrop-cl);
  backdrop-filter: blur(5px);
  transition: all 400ms ease;
  z-index: 1000;
}
.menu-backdrop.is-hidden {
  opacity: 0;
  visibility: hidden;
  pointer-events: none;
}
.menu-backdrop.is-hidden .menu {
  opacity: 0;
  transform: translateX(101%);
}
.menu {
  position: fixed;
  top: 0;
  bottom: 0;
  right: 0;
  width: 30%;
  background-color: var(--bg-table-cl);
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: center;
  transition: all 400ms ease;
  transform: translateX(0%);
}
.menu__nav {
  height: 70%;
  display: flex;
  align-items: center;
  justify-content: center;
}
.menu__list {
  height: inherit;
  display: flex;
  align-items: center;
  flex-direction: column;
  justify-content: space-between;
}
.menu-button {
  background-color: transparent;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 3px;
  position: absolute;
  top: 30px;
  right: 30px;
  border-radius: 50%;
  cursor: pointer;
}
.menu-button__icon {
  fill: var(--txt-cl-white);
}
